org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPPartiallySpecializable

All Superinterfaces:
  IBinding, ICPPBinding, ICPPTemplateDefinition

All Known Subinterfaces:
  ICPPClassTemplate, ICPPClassTemplatePartialSpecialization, ICPPClassTemplatePartialSpecializationSpecialization, ICPPFieldTemplate, ICPPTemplateTemplateParameter, ICPPVariableTemplate, ICPPVariableTemplatePartialSpecialization

    public interface ICPPPartiallySpecializable
    extends ICPPTemplateDefinition

Something that can be partially specialized. Hence, a class or a variable template but not a function template.

Since:
  6.0

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`ICPPPartialSpecialization[]` `getPartialSpecializations()` Returns the partial specializations of this template.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPTemplateDefinition

`getTemplateParameters`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPBinding

`getQualifiedName, getQualifiedNameCharArray, isGloballyQualified`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

### Method Detail

#### getPartialSpecializations

    ICPPPartialSpecialization[] getPartialSpecializations()

Returns the partial specializations of this template.